PKG-RQUERY(8)

NAME
pkg rquery - query information from remote repositories

SYNOPSIS
pkg rquery <query-format> Sm <pkg-name>
pkg rquery [-aU] [-r reponame] <query-format> Sm
pkg rquery [-U] -e <evaluation-condition> [-r reponame] <query-format> Sm
pkg rquery [-U] [-Cgix] [-r reponame] <query-format> Sm <pattern> <...>

pkg rquery <query-format> Sm <pkg-name>
pkg rquery [--{all,no-repo-update}] [--repository reponame] <query-format> Sm
pkg rquery [--no-repo-update] --evaluate <evaluation-condition> [--repository reponame] <query-format> Sm
pkg rquery [--no-repo-update] [--{case-sensitive,glob,case-insensitive,regex}] [--repository reponame] <query-format> Sm <pattern> <...>

DESCRIPTION
pkg rquery is used for displaying information about remote packages.

Package repository catalogues will be automatically updated whenever pkg rquery is run by a user ID with write access to the package database, unless disabled by the -U flag or setting REPO_AUTOUPDATE to NO in pkg.conf(5).

OPTIONS
The following options are supported by pkg rquery:

-a, --all
    Match all packages from the database.

-C, --case-sensitive
    Make the standard or the regular expression (-x) matching against pkg-name case sensitive.

-e, --evaluate
    Match packages using the given evaluation-condition. See EVALUATION FORMAT for details.

-I, --index-line
    Print out the corresponding line from the ports INDEX file for each matched package. This option is a shorthand <query-format> argument. Only the first query format (including the -I option) on the command line will be interpreted.

-r reponame, --repository reponame
    Query for data about packages from only the named repository, irrespective of the configured “active” status from repo.conf. By default all repository catalogues marked “active” are queried.

-g, --glob
    Treat <pattern> as a glob pattern.

-i, --case-insensitive
    Make the standard or regular expression (-x) matching against pkg-name case insensitive. This is the default, unless modified by setting CASE_SENSITIVE_MATCH to true in pkg.conf.

-U, --no-repo-update
    Suppress the automatic update of the local copy of the repository catalogue from remote. Automatic repository catalogue updates are only attempted when the effective UID of the process has write access to the package database. Otherwise they are silently ignored.

-x, --regex
    Treat <pattern> as a regular expression according to the "modern" or "extended" syntax of re_format(7).

QUERY FORMAT
There are two types of keywords for the query format: the multiline and the normal one. Only one type of multiline pattern is accepted for a given query.

  Normal patterns:

%R  Name of the repository package is in

%n  Name of the matched package

%v  Version of the matched package

%o  Origin of the matched package

%p  Prefix of the matched package

%m  Maintainer of the matched package

%c  Comment of the matched package

%e  Description of the matched package

%w  Home page of the matched package

%q  Architecture of the matched package

%l  license logic of the matched package - nothing for single, & for AND, and | for OR

%s[bh]
    The flat size of the matched package, where b is in bytes, and h is in human readable format.

%M  message contained in the matched package

%?[drCOLBbA]
    Returns 0 if the list is empty and 1 if the list has information to display

    d   for dependencies

    r   for reverse dependencies

    C   for categories

    O   for options

    L   for licenses

    B   for required shared libraries

    b   for provided shared libraries

    A   for annotations

    %#[drCOLBbA]
        Returns the number of elements in the list

        d   for dependencies

        r   for reverse dependencies

        C   for categories

        O   for options

        L   for licenses

        B   for required shared libraries

        b   for provided shared libraries

        A   for annotations

  Multiline patterns:

%d[nov]
    Expands to the list of dependencies for the matched package, where n stands for the package name, o for the package origin, and v for the package version.

%r[nov]
    Expands to the list of reverse dependencies for the matched package, where n stands for the package name, o for the package origin, and v for the package version.

%C  Expands to the list of categories the matched package belongs to.

%O[kvdD]
    Expands to the list of options of the matched package, where k stands for option key v for option value, d for option default value, and D for option description. Option default values and descriptions are optional metadata and may be blank for certain packages or repositories.

%L  Expands to the list of license(s) for the matched package.

%B  Expands to the list of shared libraries used by programs from the matched package.

%b  Expands to the list of shared libraries provided by the matched package.

%A[tv]
    Expands to the list of annotations associated with the matched package, where t stands for the annotation tag, and v stands for the annotation value.

EVALUATION FORMAT

  Variables

%n  Name of the package (type string)

%o  Origin of the package (type string)

%p  Prefix of the package (type string)

%m  Maintainer of the package (type string)

%c  Comment of the package (type string)

%e  Description of the package (type string)

%w  WWW address of the package (type string)

%s  Flatsize of the package (type integer)

%a  Automatic status of the package (type integer)

%q  Architecture of the package (type string)

%M  Message of the package (type string)

%#[drCOLBbA]
    Number of elements in the list of information (type integer). See %? above for what information is used.

  Operators

var ~ glob
    The string value of var matches the given glob pattern.

var !~ glob
    The string value of var does not match the given glob pattern.

var >[=] num
    The numerical value of var is greater than [or equal to] the given number.

var <[=] num
    The numerical value of var is less than [or equal to] the given number.

var =[=] num
    The numerical value of var is equal to the given number.

var != num
    The numerical value of var is not equal to the given number.

ENVIRONMENT
The following environment variables affect the execution of pkg rquery. See pkg.conf(5) for further description.

PKG_DBDIR

CASE_SENSITIVE_MATCH

FILES
See pkg.conf(5).

EXIT STATUS

EXAMPLES
See pkg-query(8) for example usage.

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)